// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/12AI64/12AI64_Linux_1.x.x.x_DN/samples/savedata/main.h $
// $Rev: 51859 $
// $Date: 2022-10-19 10:13:15 -0500 (Wed, 19 Oct 2022) $

// 12AI64: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "12ai64_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)						(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings
	s32		continuous;
	s32		index;
	s32		minute_limit;
	s32		test_limit;

	int		fd;

	// Device Settings
	s32		io_mode;
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
