// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/12AI64/12AI64_Linux_1.x.x.x_DN/utils/util_count.c $
// $Rev: 51850 $
// $Date: 2022-10-19 10:05:20 -0500 (Wed, 19 Oct 2022) $

// 12AI64: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	ai64_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		get		Return the count here.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int ai64_count_boards(int verbose, s32* get)
{
	int	qty;

	qty	= os_count_boards(verbose, get, ai64_open, ai64_read, ai64_close);
	return(qty);
}



